#! /bin/tcsh -f

set PERSOLV='~/bin/persolv1'
set PSD='~/nme/c_vers1/psd'
set PDIR='~/maurizio/eqprem_a'

setenv PERSOLVDIR $PDIR
setenv PERSOLVINPUT "/afs/ir/users/m/o/mordecai/maurizio/eqprem1/"

# if new case initialize price derivatives with REE solutions

if ($1 == "new" ) then 
    echo "nOrder=1;" | $PERSOLV - $PDIR/REE.in ;
    echo "nOrder=1;" | $PERSOLV - $PDIR/prices0.in ;
endif

# Compute Stationary measure and Beliefs

$PSD $PDIR/statmeas.in ;
echo "AgentNo = 1;" | $PSD - $PDIR/beliefs.in;
echo "AgentNo = 2;" | $PSD - $PDIR/beliefs.in;

# if new case initialize agents derivatives

if ($1 == "new" ) then 
   echo 'nOrder=1; AgentNo=1;' | $PERSOLV - $PDIR/agent0.in
   echo 'nOrder=1; AgentNo=2;' | $PERSOLV - $PDIR/agent0.in
endif

echo "nOrder=2;" | $PSD - $PDIR/agent.in


../simu.sh 1;

exit ;
